{
  description = "Home Manager flake";
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    nvf.url = "github:notashelf/nvf";
    stylix.url = "github:danth/stylix";
    niri-flake.url = "github:sodiboo/niri-flake";
  };

  outputs = {
    nixpkgs,
    home-manager,
    stylix,
    nvf,
    niri-flake,
    ...
  }: let
    system = "x86_64-linux";
    pkgs = nixpkgs.legacyPackages.${system};
  in {
    homeConfigurations."mtgmonkey" = home-manager.lib.homeManagerConfiguration {
      inherit pkgs;
      modules = [
        ./home.nix
        stylix.homeModules.stylix
        nvf.homeManagerModules.default
        niri-flake.homeModules.config
        niri-flake.homeModules.stylix
      ];
    };
  };
}
